/**********************************************************************
 * str.h                                                 September 1999
 * Horms                                             horms@valinux.com.
 * VA Linux System                                 http://valinux.com./
 *
 * Various string handling functions
 *
 * Licenced under the terms of the GNU GPL
 *
 **********************************************************************/

#ifndef STRBERT
#define STRBERT

#include <string.h>
#include <ctype.h>
#include <stdlib.h>
#include <stdarg.h>
#include <unistd.h>
#include <sys/uio.h>
#include "log.h"

#define STR_NULL "(NULL)"

int str_is_digit(const char *str);

char *strn_to_str(char *dest, const char *src, size_t n);

int write_strn(const int fd, const unsigned char *string, const ssize_t n);

int write_str(const int fd, int nostring, ...);

char *cat_str(char *dest, int nostring, ...);

void str_free(char **string);

char *str_null_safe(char *string);

#endif
